Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class CommunicationFunctionType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.CommunicationFunctionType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class CommunicationFunctionType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Communication Function Type', and utility methods for working with them. vocSet: D16031 (C-0-D16031-cpt)

See Also:
  `CDAR2Package.getCommunicationFunctionType()`

Field Summary
`static int` | `RCV` The 'RCV' literal value.
`static CommunicationFunctionType` | `RCV_LITERAL` The 'RCV' literal object.
`static int` | `RSP` The 'RSP' literal value.
`static CommunicationFunctionType` | `RSP_LITERAL` The 'RSP' literal object.
`static int` | `SND` The 'SND' literal value.
`static CommunicationFunctionType` | `SND_LITERAL` The 'SND' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Communication Function Type' enumerators.

Method Summary
`static CommunicationFunctionType` | `get(int value)` Returns the 'Communication Function Type' literal with the specified integer value.
`static CommunicationFunctionType` | `get(java.lang.String literal)` Returns the 'Communication Function Type' literal with the specified literal value.
`static CommunicationFunctionType` | `getByName(java.lang.String name)` Returns the 'Communication Function Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCV

    public static final int RCV

  The 'RCV' literal value.

  If the meaning of 'RCV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RCV_LITERAL`, Constant Field Values

### RSP

    public static final int RSP

  The 'RSP' literal value.

  If the meaning of 'RSP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RSP_LITERAL`, Constant Field Values

### SND

    public static final int SND

  The 'SND' literal value.

  If the meaning of 'SND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SND_LITERAL`, Constant Field Values

### RCV_LITERAL

    public static final CommunicationFunctionType RCV_LITERAL

  The 'RCV' literal object.

  See Also:
    `RCV`

### RSP_LITERAL

    public static final CommunicationFunctionType RSP_LITERAL

  The 'RSP' literal object.

  See Also:
    `RSP`

### SND_LITERAL

    public static final CommunicationFunctionType SND_LITERAL

  The 'SND' literal object.

  See Also:
    `SND`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Communication Function Type' enumerators.

Method Detail

### get

    public static CommunicationFunctionType get(java.lang.String literal)

  Returns the 'Communication Function Type' literal with the specified literal value.

### getByName

    public static CommunicationFunctionType getByName(java.lang.String name)

  Returns the 'Communication Function Type' literal with the specified name.

### get

    public static CommunicationFunctionType get(int value)

  Returns the 'Communication Function Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD